Subject: [PATCH v2 2/4] dmaengine: Add STM32 DMA driver

From: [email-masked] (Daniel Thompson)
Date: Wed, 14 Oct 2015 16:28:23 +0100

On 14/10/15 16:26, M'boumba Cedric Madianga wrote:
> 2015-10-14 16:24 GMT+02:00 Daniel Thompson <[email-masked]>:
>>
>> Hmnnn...
>>
>> The dmaengine framework will WARN_ONCE() if an dmaengine is removed whilst
>> it is active and also works hard to ensure dmaengine modules are not removed
>> whilst there are active drivers using the framework.
>>
>> How do we get into this function whilst there is still an active DMA
>> channels?
>
> For example, when a user try "rmmod stm32-dma" in uart console.
> It will enter in stm32_dma_remove while there is potentially still active DMA.

Check dmaengine.c for yourself but I think in this case the dmaengine 
framework will hold references to the module and prevent the remove from 
taking place.

Daniel.